# BaseFetchException (Crawler-commons 0.6-SNAPSHOT API)
Date: 2015-05-26

crawlercommons.fetcher

## Class BaseFetchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - crawlercommons.fetcher.BaseFetchException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AbortedFetchException, BadProtocolFetchException, HttpFetchException, IOFetchException, RedirectFetchException, UrlFetchException

    public abstract class BaseFetchException
    extends Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `BaseFetchException()`
`protected` `BaseFetchException(String url)`
`protected` `BaseFetchException(String url, Exception e)`
`protected` `BaseFetchException(String url, String msg)`
`protected` `BaseFetchException(String url, String msg, Exception e)`

### Method Summary

Methods
`protected int` `compareToBase(BaseFetchException e)`
`boolean` `equals(Object obj)`
`Throwable` `getCause()`
`String` `getLocalizedMessage()`
`String` `getMessage()`
`StackTraceElement[]` `getStackTrace()`
`String` `getUrl()`
`int` `hashCode()`
`Throwable` `initCause(Throwable cause)`
`void` `printStackTrace()`
`void` `printStackTrace(PrintStream s)`
`void` `printStackTrace(PrintWriter s)`
`protected void` `readBaseFields(DataInput input)`
`void` `setStackTrace(StackTraceElement[] stackTrace)`
`String` `toString()`
`protected void` `writeBaseFields(DataOutput output)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getSuppressed`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BaseFetchException

    protected BaseFetchException()

#### BaseFetchException

    protected BaseFetchException(String url)

#### BaseFetchException

    protected BaseFetchException(String url,
                      String msg)

#### BaseFetchException

    protected BaseFetchException(String url,
                      Exception e)

#### BaseFetchException

    protected BaseFetchException(String url,
                      String msg,
                      Exception e)

### Method Detail

#### getUrl

    public String getUrl()

#### compareToBase

    protected int compareToBase(BaseFetchException e)

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### getCause

    public Throwable getCause()

Overrides:
  `getCause` in class `Throwable`

#### getLocalizedMessage

    public String getLocalizedMessage()

Overrides:
  `getLocalizedMessage` in class `Throwable`

#### getMessage

    public String getMessage()

Overrides:
  `getMessage` in class `Throwable`

#### getStackTrace

    public StackTraceElement[] getStackTrace()

Overrides:
  `getStackTrace` in class `Throwable`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### initCause

    public Throwable initCause(Throwable cause)

Overrides:
  `initCause` in class `Throwable`

#### printStackTrace

    public void printStackTrace()

Overrides:
  `printStackTrace` in class `Throwable`

#### printStackTrace

    public void printStackTrace(PrintStream s)

Overrides:
  `printStackTrace` in class `Throwable`

#### printStackTrace

    public void printStackTrace(PrintWriter s)

Overrides:
  `printStackTrace` in class `Throwable`

#### setStackTrace

    public void setStackTrace(StackTraceElement[] stackTrace)

Overrides:
  `setStackTrace` in class `Throwable`

#### toString

    public String toString()

Overrides:
  `toString` in class `Throwable`

#### readBaseFields

    protected void readBaseFields(DataInput input)
                           throws IOException

Throws:
  `IOException`

#### writeBaseFields

    protected void writeBaseFields(DataOutput output)
                            throws IOException

Throws:
  `IOException`